package com.palmnest.service.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.model.notice.WxtemplateMessageConfigModel;
import com.palmnest.service.GenericManager;

import java.util.List;

public interface WxtemplateMessageConfigManager extends GenericManager<WxtemplateMessageConfigModel, Integer> {

	public String saveOrUpdate(WxtemplateMessageConfigModel wxtemplateMessageConfigModel);

	public String delByTemplateMessageId(Integer templateMessageId) throws Exception;

	public String delByTemplateId(Integer templateMessageId) throws Exception;

	public Page findAll(int id) throws Exception;

	public Page findTemplateByTempId(int tempId) throws Exception;

	public List<WxtemplateMessageConfigModel> findTemplateByTempIdAndTempMsgId(int tempId, int tempMsgId) throws Exception;

	public List<WxtemplateMessageConfigModel> findTemplateByTempIdDefault(int tempId) throws Exception;

	public Page findTemplateByTempIdFromLibrary(int tempId) throws Exception;

	public List<WxtemplateMessageConfigModel> getWxTemplConfigByTypeId(int typeId) throws Exception;

	public List<WxtemplateMessageConfigModel> getWxTemplConfigByTypeId(int typeId, int msgId) throws Exception;
}
